# Generated by Django 4.1.4 on 2022-12-20 14:26

import datetime

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("main", "0005_alter_category_name"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="category",
            options={
                "ordering": ["name"],
                "verbose_name": "Catégorie",
                "verbose_name_plural": "Catégories",
            },
        ),
        migrations.AlterModelOptions(
            name="invoice",
            options={"verbose_name": "Facture", "verbose_name_plural": "Factures"},
        ),
        migrations.AlterModelOptions(
            name="snapshot",
            options={
                "ordering": ["-date"],
                "verbose_name": "Relevé",
                "verbose_name_plural": "Relevés",
            },
        ),
        migrations.AlterModelOptions(
            name="transaction",
            options={
                "ordering": ["-date"],
                "verbose_name": "Transaction",
                "verbose_name_plural": "Transactions",
            },
        ),
        migrations.AddField(
            model_name="category",
            name="budget",
            field=models.BooleanField(default=True, verbose_name="Budget"),
        ),
        migrations.AlterField(
            model_name="category",
            name="icon",
            field=models.CharField(
                default="folder", max_length=64, verbose_name="Icône"
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="name",
            field=models.CharField(
                default="Catégorie", max_length=64, verbose_name="Nom"
            ),
        ),
        migrations.AlterField(
            model_name="invoice",
            name="file",
            field=models.FileField(
                upload_to="invoices/",
                validators=[django.core.validators.FileExtensionValidator(["pdf"])],
                verbose_name="Fichier",
            ),
        ),
        migrations.AlterField(
            model_name="invoice",
            name="name",
            field=models.CharField(
                default="Facture", max_length=256, verbose_name="Nom"
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="date",
            field=models.DateField(unique=True, verbose_name="Date"),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="value",
            field=models.DecimalField(
                decimal_places=2, default=0, max_digits=12, verbose_name="Valeur"
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="category",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="main.category",
                verbose_name="Catégorie",
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="date",
            field=models.DateField(default=datetime.date.today, verbose_name="Date"),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="description",
            field=models.TextField(blank=True, null=True, verbose_name="Description"),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="name",
            field=models.CharField(
                default="Transaction", max_length=256, verbose_name="Nom"
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="payment",
            field=models.CharField(
                blank=True, max_length=128, null=True, verbose_name="Paiement"
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="real_date",
            field=models.DateField(blank=True, null=True, verbose_name="Date réelle"),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="trader",
            field=models.CharField(
                blank=True, max_length=128, null=True, verbose_name="Commerçant"
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="value",
            field=models.DecimalField(
                decimal_places=2, default=0, max_digits=12, verbose_name="Valeur"
            ),
        ),
    ]
